Skip to main content
PATCH
/
api
/
v1
/
tenant_tools
/
{id}
Update tenant tool
curl --request PATCH \
  --url https://api.callaro.ai/api/v1/tenant_tools/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.callaro.ai/api/v1/tenant_tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.callaro.ai/api/v1/tenant_tools/{id}"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "data": {},
  "message": "<string>",
  "meta": {},
  "request_id": "<string>"
}
{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

The body is of type object.

Response

Updated

data
object | null
message
string | null
meta
object | null
request_id
string | null